version: '3'
services:
  mediawiki:
    image: mirror.gcr.io/mediawiki
    restart: always
    ports:
      - 8080:80
    links:
      - database
    container_name: wiki
    volumes:
      - images:/var/www/html/images
#      - ./LocalSettings.php:/var/www/html/LocalSettings.php
  database:
    image: mirror.gcr.io/mysql
    container_name: db
    restart: always
    environment:
      MYSQL_DATABASE: mediawiki
      MYSQL_USER: wiki
      MYSQL_PASSWORD: DEP@ssw0rd
      MYSQL_RANDOM_ROOT_PASSWORD: 'yes'
      TZ: Europe/Moscow
    volumes:
      - db:/var/lib/mysql
volumes:
  images:
  db:
